unit DefaultService;

interface

uses
  XData.Server.Module,
  XData.Service.Common;

type
  [ServiceContract]
  IDefaultService = interface(IInvokable)
    ['{F0A9FAA1-4F1F-4E71-916C-C761454FC9C8}']
    [HttpGet] function Value: string;
  end;

  [ServiceImplementation]
  TDefaultService = class(TInterfacedObject, IDefaultService)
    function Value: string;
  end;

implementation


{ TDefaultService }

function TDefaultService.Value: string;
begin
  Result := 'Default';
end;

initialization
  RegisterServiceType(TypeInfo(IDefaultService));
  RegisterServiceType(TDefaultService);

end.
